Opened 15 years ago

#15 closed defect (Fixed)

can't even start 0.0.6alpha1

Reported by: weasel Owned by: nickm
Priority: Very High Milestone:
Component: Mixminion-Server Version: unspeficied
Severity: Keywords:
Cc: weasel Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

[Moved from bugzilla]
Reporter: qumqats@… (Joel M. Baldwin)
Description:
Opened: 2003-10-27 11:25



as you can see from the following, I can't even get the latest CVS of 0.0.6 to
start.

bash-2.05b# /usr/local/etc/rc.d/minion.sh start
mixminion
Mixminion version 0.0.6alpha1
This software is for testing purposes only. Anonymity is not guaranteed.
Reading configuration from /home/minion/etc/mixminiond.conf
Silencing the console log; look in /home/minion/log/log instead
Oct 27 02:17:37.553 [DEBUG] Configuring server
Oct 27 02:17:37.554 [INFO] Starting server in the background
bash-2.05b# Oct 27 02:17:37.571 [INFO] Enabling statistics logging
Oct 27 02:17:37.575 [DEBUG] Syncing statistics to disk
Oct 27 02:17:37.577 [INFO] Statistics logging enabled
Oct 27 02:17:37.579 [INFO] Setting entropy source to '/dev/urandom'
Oct 27 02:17:37.581 [DEBUG] Initializing server
Oct 27 02:17:37.586 [DEBUG] Scanning server keystore at /home/minion/keys
Oct 27 02:17:37.772 [DEBUG] Found 1 keysets: 0 were incomplete or invalid.
Oct 27 02:17:37.774 [INFO] Last expiry at 2003/11/25 16:00:00; next keygen at
2003/11/09 03:00:00
Oct 27 02:17:37.786 [WARN] Some generated keysets do not match current
configuration...
Oct 27 02:17:37.787 [WARN] Keyset 0002 (2003/08/27 17:00:00--2003/11/25 16:00:
00):
Oct 27 02:17:37.788 [WARN] Mismatched versions: running 0.0.6alpha1; Mixminion
0.0.5.1 in unpublished descriptor.
Oct 27 02:17:37.789 [WARN] Mismatched hostnames: privacy.outel.org guessed; None
in unpublished descriptor
Oct 27 02:17:37.790 [WARN] Mismatched platform summary
Oct 27 02:17:37.900 [INFO] Regenerating descriptor for keyset 0002 (2003/08/27
17:00:00--2003/11/25 16:00:00)
Oct 27 02:17:38.983 [WARN] No Hostname configured; guessing privacy.outel.org
Oct 27 02:17:39.002 [INFO] Module MBOX: enabled for types 0x101?
Oct 27 02:17:40.471 [INFO] Module DROP: enabled for types 0x0?
Oct 27 02:17:40.471 [DEBUG] Disabling module SMTP
Oct 27 02:17:40.472 [DEBUG] Disabling module SMTP_MIX2
Oct 27 02:17:40.473 [INFO] Module FRAGMENT: enabled for types 0x103?
Oct 27 02:17:40.529 [DEBUG] Opening fragment database at
/home/minion/work/queues/deliver/FRAGMENT_db
Oct 27 02:17:41.097 [INFO] Publishing 1 keys to directory server...
Oct 27 02:17:50.345 [INFO] Directory accepted descriptor: 'Accepted.'
Oct 27 02:17:50.347 [INFO] All keys published successfully.
Oct 27 02:17:50.348 [DEBUG] Initializing packet handler
Oct 27 02:17:50.349 [DEBUG] Initializing MMTP server
Oct 27 02:17:50.350 [FATAL] Exception while configuring server
Oct 27 02:17:50.368 [FATAL] Traceback (most recent call last):

File "/home/minion/lib/python2.3/site-packages/mixminion/server/ServerMain.

py", line 1093, in runServer

server = MixminionServer(config)
File "/home/minion/lib/python2.3/site-packages/mixminion/server/ServerMain.

py", line 673, in init

self.mmtpServer = _MMTPServer(config, None)
File "/home/minion/lib/python2.3/site-packages/mixminion/server/ServerMain.

py", line 359, in init

mixminion.server.MMTPServer.MMTPAsyncServer.init(
File "/home/minion/lib/python2.3/site-packages/mixminion/server/MMTPServer.

py", line 1072, in init

ip4_supported, ip6_supported = mixminion.NetUtils.getProtocolSupport()

NameError: global name 'mixminion' is not defined

Oct 27 02:17:50.369 [FATAL] Shutting down because of exception: exceptions.
NameError



I'll fix this (inevitibly) as I work on minion this week.



Fixed in 0.0.6 CVS.

[Automatically added by flyspray2trac: Operating System: FreeBSD]

Child Tickets

Change History (1)

comment:1 Changed 15 years ago by weasel

flyspray2trac: bug closed.

Note: See TracTickets for help on using tickets.